import prefs
class Interactable:
    def __init__(self, cell, sprite):
        self.cell = cell
        self.sprite = sprite
    def interact(self):
        """Ta metoda powinna być przysłonięta przez klasę dziedziczącą."""
        raise NotImplementedError
    
    def update(self, surface):
        surface.blit(self.sprite, (self.cell.X * prefs.CELL_SIZE, 
                                   self.cell.Y * prefs.CELL_SIZE))