import pygame

from zamowenie import Zamowienie
class Rachunek:
    def __init__(self,numer_zamowienia):
        self.numer_zamowienia = numer_zamowienia
        self.zamowienia = []

    def dodaj_zamowienie(self,zamowienie):
        self.zamowienia.append(zamowienie)
        
    def suma(self):
        suma_rachunek = 0
        for zamowienie in self.zamowienia:
            suma_rachunek += sum(zamowienie.sum() for zamowienie in self.zamowienia)

        return suma_rachunek
    def __str__(self):
        print(self.zamowienia)
        return f"Rachunek nr {self.numer_zamowienia}:\n\tSuma: {self.suma()}\n\tZamówienia:\n\t\t{''.join([str(zamowienie) for zamowienie in self.zamowienia])}"

